ApiErrorFormatter_BackCompat: Choose first error, not last, in addWarningOrError
Closed, ResolvedPublic0 Story Points

Description

Right now we end up picking the last error in the stack (applying ApiResult::OVERRIDE) whereas the first one is the most specific in at least one case (ApiEdit errors), and this is a recent B/C breakage (die status used to pick the first one back when the API could only handle one).

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 13 2017, 8:48 PM
Anomie claimed this task.Jan 17 2017, 3:42 PM

Change 332478 had a related patch set uploaded (by Anomie):
ApiErrorFormatter_BackCompat: Use first error, not last

https://gerrit.wikimedia.org/r/332478

Anomie moved this task from Unsorted to Needs Review on the MediaWiki-API board.Jan 17 2017, 4:01 PM

Change 332478 merged by jenkins-bot:
ApiErrorFormatter_BackCompat: Use first error, not last

https://gerrit.wikimedia.org/r/332478

Jdforrester-WMF closed this task as Resolved.Feb 7 2017, 7:12 PM
Jdforrester-WMF removed a project: Patch-For-Review.